Last Comment Bug 698038 - Update Preferences help for the new section to control crash report submission.
: Update Preferences help for the new section to control crash report submission.
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Help Documentation (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.11
Assigned To: Jens Hatlak (:InvisibleSmiley)
:
Mentors:
Depends on: 697453 718315
Blocks: 636993
  Show dependency treegraph
 
Reported: 2011-10-28 10:59 PDT by Philip Chee
Modified: 2012-03-26 10:49 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch [Checkin: Comment 9] (1.99 KB, patch)
2012-03-20 14:42 PDT, Jens Hatlak (:InvisibleSmiley)
iann_bugzilla: review+
Details | Diff | Review

Description Philip Chee 2011-10-28 10:59:40 PDT
Following the landing of |Bug 697453 - Allow setting report submission preference via XPCOM| help needs to be updated to reflect the new group box.

FYI This is in the Advanced prefpane.
Comment 1 Jens Hatlak (:InvisibleSmiley) 2012-01-15 11:09:19 PST
We need to update the Advanced pref pane Help contents altogether and align it with what we currently have. Let's do that here.

Current contents only show "Use Preferences from System" for Unix, and nothing otherwise. Actual contents should be (after bug 718315 is fixed; cf. pref-advanced.dtd and pref-advanced.js):

1. System Preferences / Use Preferences from System
2. System Integration / Check default application settings on startup
3. Crash Reporter / Submit crash reports

1 depends on @mozilla.org/system-preference-service;1, which should be Unix-only, but I don't have it here on Kubuntu. We need to check whether it's currently broken or has dependencies (like gconf, which I do have, though). Gnome, anyone?
2 depends on @mozilla.org/suite/shell-service;1, i.e. Windows-only
3 depends on nsICrashReporter, i.e. whether the build has Crash Reporter enabled (which is always true for release builds I guess; not sure about Mac, though)
Comment 2 Stefan [:stefanh] 2012-01-15 11:40:43 PST
(In reply to Jens Hatlak (:InvisibleSmiley) from comment #1)
.
.
.
> 3 depends on nsICrashReporter, i.e. whether the build has Crash Reporter
> enabled (which is always true for release builds I guess; not sure about
> Mac, though)

Should depend on application.ini, so it should work. It would be nice if we could show something in the pane on mac - it's currently empty.
Comment 3 Jens Hatlak (:InvisibleSmiley) 2012-01-15 12:52:44 PST
(In reply to Stefan [:stefanh] from comment #2)
> It would be nice if we
> could show something in the pane on mac - it's currently empty.

Yeah, like on Linux (for me). I'll check in bug 718315 in a second, then you can see yourself once it makes it into a nightly.
Comment 4 Jens Hatlak (:InvisibleSmiley) 2012-03-18 08:30:44 PDT
Stefan, how does the Advanced pane look like on Mac now? For me, on Linux, it contains "Crash Reporter / Submit crash reports" now starting with at least Aurora (we have no 2.9 beta yet, but for the sake of this discussion, let's focus on trunk).

I think, for getting this bug fixed, we can keep the descriptions about when you'll see what rather blurry (leave out the details). I don't want to investigate what's up with Gnome/gconf/whatever because even if I knew, it would feel wrong to me to include such details in Help.

So far I know (referring to the list from comment 1):
1. can appear on Linux under certain conditions. Let's say "depending on your system configuration" or something inside a "unix" span.
2. is only available on Windows (IOW, available on Windows) -> "win" span
3. is available on Windows and Linux. If you (Stefan) see it on Mac, too (please only test official builds here please!), it's ubiquitous, otherwise we need some "noMac" span.
Comment 5 Stefan [:stefanh] 2012-03-18 08:45:23 PDT
(In reply to Jens Hatlak (:InvisibleSmiley) from comment #4)
> Stefan, how does the Advanced pane look like on Mac now?

I'll have a look in next few days.
Comment 6 Stefan [:stefanh] 2012-03-20 13:49:51 PDT
(In reply to Stefan [:stefanh] from comment #5)
> (In reply to Jens Hatlak (:InvisibleSmiley) from comment #4)
> > Stefan, how does the Advanced pane look like on Mac now?
> 
> I'll have a look in next few days.

Yep, I see the "Submit crash reports" checkbox under the "Crash Reporter" title.
Comment 7 Jens Hatlak (:InvisibleSmiley) 2012-03-20 14:42:20 PDT
Created attachment 607727 [details] [diff] [review]
patch [Checkin: Comment 9]

[Clicking the Help button from the Advanced pref panel doesn't jump to the correct subsection, but that's probably for another bug since it affects other main pref categories, too, though not all.]
Comment 8 Ian Neal 2012-03-25 17:11:19 PDT
Comment on attachment 607727 [details] [diff] [review]
patch [Checkin: Comment 9]

Strange that with the SM2.7 that comes with my distro I do see "Use Preferences from System" on the Advanced pane, but on self-built trunk, I don't. Maybe a build config flag I am missing.
Comment 9 Jens Hatlak (:InvisibleSmiley) 2012-03-26 10:48:54 PDT
Comment on attachment 607727 [details] [diff] [review]
patch [Checkin: Comment 9]

http://hg.mozilla.org/comm-central/rev/fef65eed3690

Note You need to log in before you can comment on or make changes to this bug.